Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.ui.portlet.user
Class UserPortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.ui.portlet.user.UserPortlet

All Implemented Interfaces:
  Portlet

    public class UserPortlet

extends JBossPortlet

This portlet aims at managing users

Version:
  $Revision: 10744 $
Author:
  Julien Viet, Thomas Heute , Magesh Kumar Bojan

Field Summary
`static org.jboss.logging.Logger` | `log` The class logger.
`static java.lang.String` | `OP_ACTIVATEUSER` Activate the user via email link
`static java.lang.String` | `OP_DELETEUSER` Deletes the user
`static java.lang.String` | `OP_SHOWADDROLESTOUSER` Render operation to show the screen to assign roles to a user.
`static java.lang.String` | `OP_SHOWLISTUSERS` Render operation to show the list of users.
`static java.lang.String` | `OP_SHOWLOGIN` Render operation to show the login screen.
`static java.lang.String` | `OP_SHOWMENU` Render operation to show the user menu screen.
`static java.lang.String` | `OP_SHOWPROFILE` Render operation to show the user profile to edit.
`static java.lang.String` | `OP_SHOWREGISTER` Render operation to show the register screen.
`static java.lang.String` | `OP_SHOWREGISTER_TY` Render operation to show the register thankyou screen.
`static java.lang.String` | `OP_USERLOGOUT` Logout the user.
`static java.lang.String` | `OP_VIEWPROFILE` Render operation to show a user profile.
`static short` | `UNDEFINED_TIMEZONE`

Constructor Summary
`UserPortlet()`

Method Summary
`void` | `addRolesToUser(JBossActionRequest request, JBossActionResponse response)` DOCUMENT_ME
`void` | `deleteUser(JBossActionRequest request, JBossActionResponse response)`
`void` | `destroy()` Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.
`protected void` | `doView(JBossRenderRequest req, JBossRenderResponse resp)` doView method
`java.lang.String` | `getDefaultOperation()` Return the string main, it can be overriden to return another value by subclasses.
`void` | `init()` init method of the portlet, Setting up the diffrent modules used.
`void` | `showListUsers(JBossActionRequest actionRequest, JBossActionResponse actionResponse)`
`void` | `storeProfile(JBossActionRequest req, JBossActionResponse resp)` DOCUMENT_ME
`void` | `userLogout(JBossActionRequest req, JBossActionResponse resp)` Performs a log out.
`void` | `userRegister(JBossActionRequest req, JBossActionResponse resp)` Action when a user register

Methods inherited from class org.jboss.portlet.JBossPortlet
`doAdmin, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, processAction, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.jboss.logging.Logger log

  The class logger.

### OP_SHOWLOGIN

    public static final java.lang.String OP_SHOWLOGIN

  Render operation to show the login screen.

  See Also:
    Constant Field Values

### OP_SHOWREGISTER

    public static final java.lang.String OP_SHOWREGISTER

  Render operation to show the register screen.

  See Also:
    Constant Field Values

### OP_SHOWREGISTER_TY

    public static final java.lang.String OP_SHOWREGISTER_TY

  Render operation to show the register thankyou screen.

  See Also:
    Constant Field Values

### OP_SHOWMENU

    public static final java.lang.String OP_SHOWMENU

  Render operation to show the user menu screen.

  See Also:
    Constant Field Values

### OP_SHOWPROFILE

    public static final java.lang.String OP_SHOWPROFILE

  Render operation to show the user profile to edit.

  See Also:
    Constant Field Values

### OP_VIEWPROFILE

    public static final java.lang.String OP_VIEWPROFILE

  Render operation to show a user profile.

  See Also:
    Constant Field Values

### OP_SHOWADDROLESTOUSER

    public static final java.lang.String OP_SHOWADDROLESTOUSER

  Render operation to show the screen to assign roles to a user.

  See Also:
    Constant Field Values

### OP_SHOWLISTUSERS

    public static final java.lang.String OP_SHOWLISTUSERS

  Render operation to show the list of users.

  See Also:
    Constant Field Values

### OP_USERLOGOUT

    public static final java.lang.String OP_USERLOGOUT

  Logout the user.

  See Also:
    Constant Field Values

### OP_DELETEUSER

    public static final java.lang.String OP_DELETEUSER

  Deletes the user

  See Also:
    Constant Field Values

### OP_ACTIVATEUSER

    public static final java.lang.String OP_ACTIVATEUSER

  Activate the user via email link

  See Also:
    Constant Field Values

### UNDEFINED_TIMEZONE

    public static final short UNDEFINED_TIMEZONE

See Also:
  Constant Field Values

Constructor Detail

### UserPortlet

    public UserPortlet()

Method Detail

### init

    public void init()
              throws PortletException

  init method of the portlet, Setting up the diffrent modules used.

  Overrides:
    `init` in class `JBossPortlet`
  Throws:
    `PortletException` - If a module cannot be looked up.

### destroy

    public void destroy()

  Description copied from interface: `Portlet`
  Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.

  Before the portlet container calls the destroy method, it should allow any threads that are currently processing requests within the portlet object to complete execution. To avoid waiting forever, the portlet container can optionally wait for a predefined time before destroying the portlet object.

  This method enables the portlet to do the following:

  - clean up any resources that it holds (for example, memory, file handles, threads)
  - make sure that any persistent state is synchronized with the portlet current state in memory.

  Specified by:
    `destroy` in interface `Portlet`
  Overrides:
    `destroy` in class `JBossPortlet`

### getDefaultOperation

    public java.lang.String getDefaultOperation()

  Description copied from class: `JBossPortlet`
  Return the string main, it can be overriden to return another value by subclasses.

  Overrides:
    `getDefaultOperation` in class `JBossPortlet`

### doView

    protected void doView(JBossRenderRequest req,
                          JBossRenderResponse resp)
                   throws PortletException,
                          PortletSecurityException,
                          java.io.IOException

  doView method

  Overrides:
    `doView` in class `JBossPortlet`
  Parameters:
    `req` - Render request
    `resp` - render response
  Throws:
    `PortletException` - DOCUMENT_ME
    `PortletSecurityException` - DOCUMENT_ME
    `java.io.IOException` - DOCUMENT_ME

### showListUsers

    public void showListUsers(JBossActionRequest actionRequest,
                              JBossActionResponse actionResponse)
                       throws java.io.IOException,
                              WindowStateException

  Throws:
    `java.io.IOException`
    `WindowStateException`

### userLogout

    public void userLogout(JBossActionRequest req,
                           JBossActionResponse resp)
                    throws java.io.IOException

  Performs a log out.

  Throws:
    `java.io.IOException`

### userRegister

    public void userRegister(JBossActionRequest req,
                             JBossActionResponse resp)

  Action when a user register

  Parameters:
    `req` - JBoss action request
    `resp` - JBoss action response

### storeProfile

    public void storeProfile(JBossActionRequest req,
                             JBossActionResponse resp)
                      throws PortletException

  DOCUMENT_ME

  Parameters:
    `req` - DOCUMENT_ME
    `resp` - DOCUMENT_ME
  Throws:
    `PortletException`

### addRolesToUser

    public void addRolesToUser(JBossActionRequest request,
                               JBossActionResponse response)

  DOCUMENT_ME

  Parameters:
    `request` - DOCUMENT_ME
    `response` - DOCUMENT_ME

### deleteUser

    public void deleteUser(JBossActionRequest request,
                           JBossActionResponse response)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD